searchData={"items":[{"type":"task","title":"mix flakify.install","doc":"Modify your Phoenix project to work in a Nix flake development shell\n\nThis task adds a `flake.nix` to your project with tailwind and esbuild\ninstalled, and alters your tailwind and esbuild configuration to use the\nversions from your Nix flake.","ref":"Mix.Tasks.Flakify.Install.html"},{"type":"task","title":"Example - mix flakify.install","doc":"```sh\nmix igniter_install flakify\n```","ref":"Mix.Tasks.Flakify.Install.html#module-example"},{"type":"extras","title":"Flakify","doc":"# Flakify\n\nEasily set up a Nix flake-based development environment for your\nElixir/Phoenix-project.","ref":"readme.html"},{"type":"extras","title":"Usage - Flakify","doc":"To create a new Phoenix project that's already initialized with a Nix flake, run the following command:\n\n```\nmix igniter.new flakify_test --install flakify --with phx.new --with-args=\"--no-ecto\"\n```\n\nThis will:\n\n - Add a `flake.nix` with a development shell that contains elixir, tailwind and\n   esbuild. And also sets the `MIX_TAILWIND_PATH` and `MIX_ESBUILD_PATH`\n   environment variables.\n\n - Modify `config/config.exs` such that the `esbuild` and `tailwind`\n   configurations use `MIX_ESBUILD_PATH` and `MIX_TAILWIND_PATH` respectively to\n   find the corresponding executables.\n\nAfter performing the install, you should be able to run `nix develop -c mix\nphx.server` to run the Phoenix server using the flake development environment.\n\nIn an existing project, you can run:\n\n```\nmix igniter.install flakify\n```\n\nAfter running the installer, flakify will remove itself from your project\ndependencies.","ref":"readme.html#usage"},{"type":"extras","title":"TODO - Flakify","doc":"- [ ] Add option to also add a package definition to `flake.nix`, probably using `deps_nix`.\n - [ ] Add option to specify whether tailwind and esbuild should actually be installed.\n - [ ] Add option to add an .envrc file for direnv\n - [ ] Add option to specify the nixos/nixpkgs version to use\n - [ ] Add option to specify which version of elixir/beam to use\n - [ ] Add option to add a nixos module definition and/or systemd service definition","ref":"readme.html#todo"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.2.0 - Changelog","doc":"- Remove unused go dependency from flake.nix","ref":"changelog.html#0-2-0"},{"type":"extras","title":"0.1.0 - Changelog","doc":"Initial release.","ref":"changelog.html#0-1-0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}